Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 471542 - net-im/pyicq-t-0.8.1.5-r1: Deprecated imports of PIL modules / Stabilize =net-im/pyicq-t-0.8.1.5-r4
Summary: net-im/pyicq-t-0.8.1.5-r1: Deprecated imports of PIL modules / Stabilize =net...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 471488 unit-in-stable CVE-2014-1933 526808
  Show dependency tree
 
Reported: 2013-05-28 04:28 UTC by Mike Gilbert
Modified: 2014-12-26 20:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2013-05-28 04:28:32 UTC
See tracker bug 471488 for details.

/usr/lib64/python2.7/site-packages/pyicq-t/src/contact.py:      import Image
/usr/lib64/python2.7/site-packages/pyicq-t/src/imgmanip.py:             import Image
/usr/lib64/python2.7/site-packages/pyicq-t/tools/infodump.py:   from Image import VERSION
Comment 1 Hanno Böck gentoo-dev 2013-09-13 16:01:51 UTC
Fixed and converted to new python eclass, but leaving this open till we can stabilize.
Comment 2 Mike Gilbert gentoo-dev 2014-04-19 15:20:08 UTC
We will probably be removing dev-python/imaging because of security bug 507982. 

Can you stabilize this please?
Comment 3 Manuel Rüger (RETIRED) gentoo-dev 2014-04-19 19:16:54 UTC
Please test and mark stable:

=net-im/pyicq-t-0.8.1.5-r4
Comment 4 Manuel Rüger (RETIRED) gentoo-dev 2014-11-02 12:02:49 UTC
@amd64, x86: friendly ping
Comment 5 Myckel Habets 2014-11-16 14:21:07 UTC
(In reply to Manuel Rüger from comment #4)
> @amd64, x86: friendly ping

Pulls in dev-python/imaging (doesn't build on x86), which is marked for removal: bug 508266

How should we continue with this? Please advise.
Comment 6 Mike Gilbert gentoo-dev 2014-11-16 15:16:57 UTC
(In reply to Myckel Habets from comment #5)
> (In reply to Manuel Rüger from comment #4)
> > @amd64, x86: friendly ping
> 
> Pulls in dev-python/imaging (doesn't build on x86), which is marked for
> removal: bug 508266
> 
> How should we continue with this? Please advise.

That package is being pulled in via a virtual/python-imaging. dev-python/imaging is scheduled for deletion as soon as the reverse dependencies are all stable.

Please install dev-python/pillow to satisfy the virtual/python-imaging dependencies.
Comment 7 Mike Gilbert gentoo-dev 2014-11-16 15:21:21 UTC
Actually, I don't see how it could possibly pull in dev-python/imaging; the virtual no longer depends on it.

Please ensure you are stabilizing net-im/pyicq-t-0.8.1.5-r4, not net-im/pyicq-t-0.8.1.5-r1.
Comment 8 Myckel Habets 2014-11-16 16:10:44 UTC
(In reply to Mike Gilbert from comment #7)
> Actually, I don't see how it could possibly pull in dev-python/imaging; the
> virtual no longer depends on it.
> 
> Please ensure you are stabilizing net-im/pyicq-t-0.8.1.5-r4, not
> net-im/pyicq-t-0.8.1.5-r1.

Oops, yep. That was the problem. Going to archtest it now.
Comment 9 Myckel Habets 2014-11-16 16:43:12 UTC
Builds fine on x86. No setup to test functionality. Please mark stable for x86.
Comment 10 Chema Alonso Josa (RETIRED) gentoo-dev 2014-11-23 16:42:18 UTC
amd64 stable

Missing || die at line 46
Comment 11 Manuel Rüger (RETIRED) gentoo-dev 2014-11-23 16:49:04 UTC
23 Nov 2014; Manuel Rüger <mrueg@gentoo.org> -files/pyicq-t-0.8-initd,
  -pyicq-t-0.8.1.5-r1.ebuild, -pyicq-t-0.8.1.5-r2.ebuild,
  -pyicq-t-0.8.1.5-r3.ebuild, pyicq-t-0.8.1.5-r4.ebuild:
  Cleanup old. Add missing die. Fixes bug #471542.

  23 Nov 2014; Manuel Rüger <mrueg@gentoo.org> pyicq-t-0.8.1.5-r4.ebuild:
  Mark stable on x86. Based on build testing by Myckel Habets.